Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::TLS::Change_Cipher_Spec Class Referencefinal

`#include <tls_messages.h>`

Inheritance diagram for Botan::TLS::Change_Cipher_Spec:

## Public Member Functions
std::vector< uint8_t > | serialize () const override
Handshake_Type | type () const override
std::string | type_string () const

## Detailed Description

Change Cipher Spec

Definition at line 690 of file tls_messages.h.

## Member Function Documentation

std::vector<uint8_t> Botan::TLS::Change_Cipher_Spec::serialize | ( |  | ) | const
| inline override virtual

Returns
  DER representation of this message

Implements Botan::TLS::Handshake_Message.

Definition at line 695 of file tls_messages.h.

696 { return std::vector<uint8_t>(1, 1); }

Handshake_Type Botan::TLS::Change_Cipher_Spec::type | ( |  | ) | const
| inline override virtual

Returns
  the message type

Implements Botan::TLS::Handshake_Message.

Definition at line 693 of file tls_messages.h.

References Botan::TLS::HANDSHAKE_CCS.

693 { return HANDSHAKE_CCS; }
Botan::TLS::HANDSHAKE_CCS
Definition: tls_magic.h:55

std::string Botan::TLS::Handshake_Message::type_string | ( |  | ) | const
| inherited

Returns
  string representation of this message type

Definition at line 17 of file tls_handshake_state.cpp.

References Botan::TLS::handshake_type_to_string(), and Botan::TLS::Handshake_Message::type().

18 {
19 return handshake_type_to_string(type());
20 }
Botan::TLS::Handshake_Message::type
virtual Handshake_Type type() const =0
Botan::TLS::handshake_type_to_string
const char * handshake_type_to_string(Handshake_Type type)
Definition: tls_handshake_state.cpp:22

The documentation for this class was generated from the following file:

- src/lib/tls/tls_messages.h